## rock-master-19.06-external-snap 0.20180801

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(snap 2.1)
set(PROJECT_DESCRIPTION "Stanford Network Analysis Project")

add_custom_target(all ALL COMMAND ${CMAKE_MAKE_PROGRAM} -C ${CMAKE_CURRENT_SOURCE_DIR} lib)
add_custom_target(clean COMMAND ${CMAKE_MAKE_PROGRAM} -C ${CMAKE_CURRENT_SOURCE_DIR} clean)

set(SNAP_CORE_HEADERS
    snap-core/alg.h
    snap-core/anf.h
    snap-core/attr.h
    snap-core/bfsdfs.h
    snap-core/bignet.h
    snap-core/casc.h
    snap-core/centr.h
    snap-core/cmty.h
    snap-core/cncom.h
    snap-core/conv.h
    snap-core/coreper.h
    snap-core/ff.h
    snap-core/flow.h
    snap-core/gbase.h
    snap-core/ggen.h
    snap-core/ghash.h
    snap-core/gio.h
    snap-core/graph.h
    snap-core/graphmp.h
    snap-core/gstat.h
    snap-core/gsvd.h
    snap-core/gviz.h
    snap-core/kcore.h
    snap-core/mmnet.h
    snap-core/network.h
    snap-core/networkmp.h
    snap-core/numpy.h
    snap-core/randwalk.h
    snap-core/sim.h
    snap-core/Snap.h
    snap-core/statplot.h
    snap-core/stdafx.h
    snap-core/subgraph.h
    snap-core/table.h
    snap-core/timenet.h
    snap-core/triad.h
    snap-core/util.h
)

set(GLIB_CORE_HEADERS
    glib-core/base.h
    glib-core/bd.h
    glib-core/bits.h
    glib-core/blobbs.h
    glib-core/ds.h
    glib-core/dt.h
    glib-core/env.h
    glib-core/fl.h
    glib-core/gnuplot.h
    glib-core/hash.h
    glib-core/hashmp.h
    glib-core/html.h
    glib-core/http.h
    glib-core/json.h
    glib-core/linalg.h
    glib-core/lx.h
    glib-core/md5.h
    glib-core/os.h
    glib-core/priorityqueue.h
    glib-core/shash.h
    glib-core/ss.h
    glib-core/ssmp.h
    glib-core/stdafx.h
    glib-core/tm.h
    glib-core/unicode.h
    glib-core/unicodestring.h
    glib-core/url.h
    glib-core/ut.h
    glib-core/wch.h
    glib-core/xfl.h
    glib-core/xmath.h
    glib-core/xml.h
    glib-core/xmlser.h
    glib-core/zipfl.h
)

set(GLIB_ADV_HEADERS
    glib-adv/acquis.h
    glib-adv/adox.h
    glib-adv/aest.h
    glib-adv/amazon.h
    glib-adv/appsrv.h
    glib-adv/bde.h
    glib-adv/biling.h
    glib-adv/bix.h
    glib-adv/book.h
    glib-adv/bowactlearn.h
    glib-adv/bowbs.h
    glib-adv/bowclust.h
    glib-adv/bowfl.h
    glib-adv/bowflx.h
    glib-adv/bowlearn.h
    glib-adv/bowlinalg.h
    glib-adv/bowmatrix.h
    glib-adv/bowmd.h
    glib-adv/btalarms.h
    glib-adv/btaServer.h
    glib-adv/cache.h
    glib-adv/casino.h
    glib-adv/ccar.h
    glib-adv/cfyres.h
    glib-adv/cgi.h
    glib-adv/ciawfb.h
    glib-adv/conjgrad.h
    glib-adv/cordis.h
    glib-adv/corrgr.h
    glib-adv/cpdoc.h
    glib-adv/crawler.h
    glib-adv/cyc.h
    glib-adv/dm.h
    glib-adv/dmhd.h
    glib-adv/dmine.h
    glib-adv/dmoz.h
    glib-adv/dnet.h
    glib-adv/dzs.h
    glib-adv/email.h
    glib-adv/euproj.h
    glib-adv/exset.h
    glib-adv/fa.h
    glib-adv/flx.h
    glib-adv/ftrgen.h
    glib-adv/geoip.h
    glib-adv/gix.h
    glib-adv/gks.h
    glib-adv/gksmfc.h
    glib-adv/gksvcl.h
    glib-adv/gksvml.h
    glib-adv/gkswf.h
    glib-adv/google.h
    glib-adv/googlex.h
    glib-adv/graph.h
    glib-adv/gridvcl.h
    glib-adv/gsearch.h
    glib-adv/guid.h
    glib-adv/hashgenericmp.h
    glib-adv/hc.h
    glib-adv/hldoc.h
    glib-adv/infonet.h
    glib-adv/kernelmethods.h
    glib-adv/logreg.h
    glib-adv/lsionto.h
    glib-adv/md.h
    glib-adv/mdtr.h
    glib-adv/medline.h
    glib-adv/mg.h
    glib-adv/mindset.h
    glib-adv/mine.h
    glib-adv/mkcca.h
    glib-adv/mte.h
    glib-adv/mtr.h
    glib-adv/net.h
    glib-adv/netobj.h
    glib-adv/nlpwinlf.h
    glib-adv/nmen.h
    glib-adv/nmobj.h
    glib-adv/nntp.h
    glib-adv/nyta.h
    glib-adv/nytngrams.h
    glib-adv/odbc.h
    glib-adv/ontolight.h
    glib-adv/pest.h
    glib-adv/phrase.h
    glib-adv/pi.h
    glib-adv/postag.h
    glib-adv/prolog.h
    glib-adv/prologparser.h
    glib-adv/proxy.h
    glib-adv/rdbms.h
    glib-adv/roget.h
    glib-adv/sappsrv.h
    glib-adv/sch.h
    glib-adv/semspace.h
    glib-adv/sgraph.h
    glib-adv/skygrid.h
    glib-adv/smtp.h
    glib-adv/soap.h
    glib-adv/sock.h
    glib-adv/sock-new.h
    glib-adv/sqlite3.c
    glib-adv/sqlite3.h
    glib-adv/sqlitedb.h
    glib-adv/ssch.h
    glib-adv/sskj.h
    glib-adv/ssqldm.h
    glib-adv/ssql.h
    glib-adv/stemming.h
    glib-adv/stopword.h
    glib-adv/strkernel.h
    glib-adv/strut.h
    glib-adv/subprocess.h
    glib-adv/svmbasic.h
    glib-adv/svmmodels.h
    glib-adv/svmPrLoqo.h
    glib-adv/tagcloud.h
    glib-adv/tb.h
    glib-adv/tbhc.h
    glib-adv/tbval.h
    glib-adv/term.h
    glib-adv/tmine.h
    glib-adv/tnt.h
    glib-adv/tql.h
    glib-adv/ts.h
    glib-adv/txtbs.h
    glib-adv/ultra.h
    glib-adv/valds.h
    glib-adv/valret.h
    glib-adv/vizmapgks.h
    glib-adv/vizmap.h
    glib-adv/wbmp.h
    glib-adv/webbsfetch.h
    glib-adv/webmb.h
    glib-adv/webnetobj.h
    glib-adv/webold.h
    glib-adv/webpgfetch.h
    glib-adv/websrv.h
    glib-adv/webtrv.h
    glib-adv/webtxtbs.h
    glib-adv/wikipedia.h
    glib-adv/wixexp.h
    glib-adv/wix.h
    glib-adv/wmine.h
    glib-adv/wordco.h
    glib-adv/wordnet.h
    glib-adv/xql.h
    glib-adv/yahoobs.h
    glib-adv/yahoodm.h
    glib-adv/yahooex.h
    glib-adv/zipcode.h
)

rock_install_headers(${GLIB_CORE_HEADERS})
rock_install_headers(${GLIB_ADV_HEADERS})
rock_install_headers(${SNAP_CORE_HEADERS})

set(TARGET_NAME ${PROJECT_NAME})
set(PKG_CONFIG_CFLAGS "-I\${includedir}/snap/glib-adv -I\${includedir}/snap/glib-core -I\${includedir}/snap/snap-core")
rock_prepare_pkgconfig(${TARGET_NAME} ON)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/build/libsnap.a
    DESTINATION lib/
)

=== Makefile ===
#
# Makefile for non-Microsoft compilers
#

all: MakeAll

test: TestAll

lib: MakeAll
	$(MAKE) -C snap-core lib

MakeAll:
	$(MAKE) -C snap-core
	$(MAKE) -C examples

TestAll:
	$(MAKE) run -C test

clean:
	$(MAKE) clean -C snap-core
	$(MAKE) clean -C examples
	$(MAKE) clean -C test
	$(MAKE) clean -C tutorials

=== debian/changelog ===
rock-master-19.06-external-snap (0.20180801-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: git:https://github.com/snap-stanford/snap.git
  * branch: refs/heads/master
  * commit: 86ac647a011a8de43e8b1af6a9a45a737a69d886
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Fri, 05 Jul 2019 12:10:06 +0200

=== debian/control ===
Source: rock-master-19.06-external-snap
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, rock-master-19.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-external-snap
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, cmake, build-essential
Description: Stanford Network Analysis Platform
 Stanford Network Analysis Platform (SNAP) is a general purpose network analysis and graph mining
  library. It is written in C++ and easily scales to massive networks with hundreds of millions of
  nodes, and billions of edges. It efficiently manipulates large graphs, calculates structural
  properties, generates regular and random graphs, and supports attributes on nodes and edges. SNAP is
  also available through the NodeXL which is a graphical front-end that integrates network analysis
  into Microsoft Office and Excel.

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master1906_install_dir = /opt/rock/master-19.06
env_setup =  PATH=$(master1906_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master1906_install_dir)/$(rockruby_libdir):$(master1906_install_dir)/$(rockruby_archdir):$(master1906_install_dir)/lib/ruby/vendor_ruby/standard:$(master1906_install_dir)/lib/ruby/vendor_ruby/core:$(master1906_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master1906_install_dir)/lib/pkgconfig:$(master1906_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master1906_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master1906_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master1906_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-19.06
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-19.06-external-snap$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-19.06-external-snap

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
# Defining the cmake command and setting the required enviroment variables
# PKG_CONFIG_PATH Resolve Rock package via pkg-config
# Rock_DIR Set to make sure find_package(Rock) does work
# ROCK_CMAKE_MACROS Used in some patches to set the CMAKE_MODULE_PATH, allowing to find Rock.cmake
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)

# Debian packaging discourages the use of rpath, but
# cdbs actively sets CMAKE_SKIP_RPATH=ON, so reinforcing OFF here
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
# Telling FindGEM.cmake to search for os packages using pkg-config and not for gems
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
DEB_CMAKE_EXTRA_FLAGS +=  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON"  -DROCK_USE_CXX11="ON"
# Disable ROCK Testing -- since running test on the OBS would require proper setting of path, etc. (see. data_processing/type_to_vector)
DEB_CMAKE_EXTRA_FLAGS += -DROCK_TEST_ENABLED=OFF -UROCK_TEST_LOG_DIR
include /usr/share/cdbs/1/class/cmake.mk

# END CMAKE
##########################################
# BEGIN AUTOTOOLS
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-19.06-external-snap::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;

###########################################
# DOCS


# Build docs
# This checks for Doxyfile and runs doxygen with that.
# Otherwise, it tries the "doc" target.
# Since docs are not critical, ignore failures('-' on recipe line start).
# The make call is supposed to be invoked even if -t or -n is selected,
# with the appropriate flags('+' on recipe line start)

common-build-arch common-build-indep:: debian/stamp-rock-doc
debian/stamp-rock-doc:
	-+$(DEB_MAKE_INVOKE) doc
	touch $@

common-install-arch common-install-indep:: common-install-rock-doc install-extensions
common-install-rock-doc::
	mkdir -p $(DEB_DESTDIR)$(rock_doc_install_dir)
	$(if $(wildcard $(DEB_SRCDIR)/doc/html),-cp -r "$(DEB_SRCDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_SRCDIR)/doc),-cp -r "$(DEB_SRCDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))
	$(if $(wildcard $(DEB_BUILDDIR)/doc/html),-cp -r "$(DEB_BUILDDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_BUILDDIR)/doc),-cp -r "$(DEB_BUILDDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))

install-extensions:: install-python
install-python::
ifneq ("$(python_setup_dir)","")
	echo "Installing python extension in $(python_setup_dir)"
	mkdir -p $(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages
	cd $(python_setup_dir); $(python_cmd) setup.py build; PYTHONPATH=$(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages/ $(python_cmd) setup.py install --prefix=$(DEB_DESTDIR)$(rock_install_dir); cd -
endif

clean::
	rm -f debian/stamp-rock-doc
	rm -rf $(DEB_SRCDIR)/doc/html


# END DOCS
###########################################
